#Region "Copyright Tenant Active System Ltd. 2007"
'
'  Copyright Tenant Active System Ltd. 2007. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  info@tenantactivesystem.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region

#Region "Imports"
Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.ComponentModel
Imports System.IO
Imports System.Runtime.Serialization
Imports System.Runtime.Serialization.Formatters
Imports System.Runtime.Serialization.Formatters.Binary
Imports Syncfusion
Imports Syncfusion.Windows.Forms.Diagram
#End Region

<Serializable()> _
Public Class Symbol_8662 : Inherits Group
#Region "Class Members"
    'Private m_OuterRect As Syncfusion.Windows.Forms.Diagram.Rectangle = Nothing
    Private m_OuterRect As Syncfusion.Windows.Forms.Diagram.RoundRect
    Private m_TextNode As TextNode
    Private m_strDescription As String = "8662E Device"
    Private m_BitmapNode As BitmapNode

    Private mTenantName As String
    Private mDeviceID As String


    Public Sub New()
        '////////////////////////////////////////////////////////////////
        ' Add child nodes to the symbol programmatically/////////////////
        '////////////////////////////////////////////////////////////////

        ' Add an outer rectangle

        Me.m_OuterRect = New Syncfusion.Windows.Forms.Diagram.RoundRect(0, 0, 60, 60, 15, MeasureUnits.Pixel)
        Me.m_OuterRect.Name = "OuterRect"
        Me.m_OuterRect.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient
        Me.m_OuterRect.FillStyle.ForeColor = System.Drawing.Color.White
        Me.m_OuterRect.FillStyle.Color = Color.White
        Me.m_OuterRect.EditStyle.AllowRotate = False
        Me.m_OuterRect.ShadowStyle.Visible = False
        Me.m_OuterRect.EditStyle.AllowSelect = False

        Me.AppendChild(m_OuterRect)

        'add Text node
        Me.m_TextNode = New TextNode("TAS_Device")

        Me.m_TextNode.PinPoint = New PointF(40, 70)
        Me.m_TextNode.Size = New SizeF(50, 20)
        Me.m_TextNode.EditStyle.AllowRotate = False
        Me.m_TextNode.BackgroundStyle.Color = Color.White
        Me.m_TextNode.BackgroundStyle.ForeColor = Color.White
        Me.m_TextNode.BackgroundStyle.Type = FillStyleType.Texture
        Me.m_TextNode.FontStyle.Bold = True
        Me.m_TextNode.LineStyle.LineColor = Color.Transparent
        Me.m_TextNode.FontStyle.Size = 10
        Me.m_TextNode.SizeToText(New SizeF(50, 20))
        Me.m_TextNode.EditStyle.AllowSelect = False
        Me.AppendChild(m_TextNode)

        ' Add BitmapNode
        Try
            Me.m_BitmapNode = New BitmapNode("TAS_8662_executive_sip_endpoint.jpg")
            m_BitmapNode.PinPoint = m_OuterRect.PinPoint 'New Point(20, 20)
            m_BitmapNode.Size = New Size(40, 40)
            Me.m_BitmapNode.EditStyle.AllowSelect = False
            Me.m_BitmapNode.EditStyle.AllowRotate = False

            Me.AppendChild(m_BitmapNode)
        Catch ex As Exception

        End Try

    End Sub
  

  
    Protected Sub New(ByVal info As SerializationInfo, ByVal context As StreamingContext)
        'Serialization constructor for symbols.
        MyBase.New(info, context)
        Me.mTenantName = info.GetString("TenantName")
        Me.mDeviceID = info.GetString("DeviceID")
    End Sub

#End Region

   
    Public Overloads Function GetProperties(ByVal context As ITypeDescriptorContext, ByVal value As Object, ByVal attributes As Attribute()) As PropertyDescriptorCollection
        Dim attrs As Attribute() = New Attribute() {New BrowsableAttribute(True)}

        ' This code returns only the specified properties. It can be used to filter out
        ' properties that you do not wish to expose to in property grid.
        Dim props As PropertyDescriptor() = New PropertyDescriptor(1) {}
        props(0) = TypeDescriptor.CreateProperty(GetType(Symbol_8662), "TenantName", GetType(String), attrs)
        props(1) = TypeDescriptor.CreateProperty(GetType(Symbol_8662), "DeviceID", GetType(String), attrs)
        Return New PropertyDescriptorCollection(props)
    End Function
    Public Overloads Function GetPropertiesSupported(ByVal context As ITypeDescriptorContext) As Boolean
        Return True
    End Function

    Protected Overrides Sub GetObjectData(ByVal info As SerializationInfo, ByVal context As StreamingContext)
        MyBase.GetObjectData(info, context)

        ' Additional member variables are serialized here
        info.AddValue("TenantName", Me.mTenantName)
        info.AddValue("DeviceID", Me.mDeviceID)

    End Sub

    <Browsable(True), Category("General"), Description("TenantName"), DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)> _
    Public Property TenantName() As String
        Get
            Return mTenantName
        End Get
        Set(ByVal value As String)
            mTenantName = value
            m_TextNode.Text = value
        End Set
    End Property

    <Browsable(True), Category("General"), Description("DeviceID"), DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)> _
    Public Property DeviceID() As String
        Get
            Return mDeviceID
        End Get
        Set(ByVal value As String)
            mDeviceID = value
        End Set
    End Property

    Public Sub state_change(ByVal State As String)
        Select Case State
            Case "Unplugged"
                Me.m_OuterRect.FillStyle.Color = Color.Gray
            Case "Connected"
                Me.m_OuterRect.FillStyle.Color = Color.White
            Case "Delivered"
                Me.m_OuterRect.FillStyle.Color = Color.Yellow
            Case "Acknowledged"
                Me.m_OuterRect.FillStyle.Color = Color.Green
            Case "TimedOut"
                Me.m_OuterRect.FillStyle.Color = Color.Red
            Case "Reset"
                Me.m_OuterRect.FillStyle.Color = Color.White
        End Select
    End Sub
End Class
