#Region "Copyright Tenant Active System Ltd. 2007"
'
'  Copyright Tenant Active System Ltd. 2007. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  info@tenantactivesystem.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region

#Region "Imports"

Imports System
Imports System.Drawing
Imports System.Collections
Imports System.Threading
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports System.Resources
Imports System.Drawing.Printing
Imports System.Text.RegularExpressions
Imports System.IO
Imports System.Runtime.Serialization
Imports System.Runtime.Serialization.Formatters
Imports System.Runtime.Serialization.Formatters.Binary

Imports Microsoft.VisualBasic

Imports Syncfusion
Imports Syncfusion.Windows.Forms.Diagram
#End Region

Namespace TAS_Diagram
    'This is used in TAS windows Clients to show the site plan

    Public Class frmDiagram : Inherits System.Windows.Forms.Form

#Region "Declarations"
        Private WithEvents Add_Symbol_Form As Add_Symbol_Dialog
        Private WithEvents diagram1 As Syncfusion.Windows.Forms.Diagram.Controls.Diagram
        Private Model As Syncfusion.Windows.Forms.Diagram.Model
        Private components As System.ComponentModel.IContainer

        Private ExePath As String = Application.ExecutablePath.ToLower ' Application install path

        Private m_bUpdateLocation As Boolean = False

#End Region

#Region "New/Dispose"

        Public Sub New()
            InitializeComponent()
            Me.diagram1.Model = Me.Model
            Me.diagram1.Model.RenderingStyle.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality
        End Sub

        Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing Then
                If Not components Is Nothing Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub
#End Region

#Region "Main"
        'Application entry point
        <STAThread()> _
          Shared Sub Main()
            Application.Run(New frmDiagram())
        End Sub
#End Region


        Private Sub frmDiagram_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            'LoadDemo()
            loadcustom()
            LoadDemo()
            AddHandler diagram1.MouseUp, AddressOf diagram1_MouseUp

        End Sub
        Private Sub loadcustom()
            Dim symbolNode As Node = New Symbol_8662()

        End Sub
        Private Sub LoadDemo()
            Dim symb As Symbol_8662 = New Symbol_8662
            symb.TenantName = "Robin"
            symb.DeviceID = "125"
            Me.diagram1.Model.AppendChild(symb)
            
        End Sub

        Private Sub InitializeComponent()
            Me.components = New System.ComponentModel.Container
            Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(frmDiagram))
            Me.diagram1 = New Syncfusion.Windows.Forms.Diagram.Controls.Diagram(Me.components)
            Me.Model = New Syncfusion.Windows.Forms.Diagram.Model(Me.components)
            Me.ToolStrip1 = New System.Windows.Forms.ToolStrip
            Me.ToolStripButton1 = New System.Windows.Forms.ToolStripButton
            Me.Model1 = New Syncfusion.Windows.Forms.Diagram.Model(Me.components)
            Me.Button1 = New System.Windows.Forms.Button
            Me.mainMenu1 = New System.Windows.Forms.MainMenu(Me.components)
            Me.menuItem1 = New System.Windows.Forms.MenuItem
            Me.menuItem2 = New System.Windows.Forms.MenuItem
            Me.menuItem3 = New System.Windows.Forms.MenuItem
            Me.menuItem6 = New System.Windows.Forms.MenuItem
            Me.menuItem4 = New System.Windows.Forms.MenuItem
            Me.menuItem5 = New System.Windows.Forms.MenuItem
            Me.menuEdit = New System.Windows.Forms.MenuItem
            Me.menuItem9 = New System.Windows.Forms.MenuItem
            Me.menuItem11 = New System.Windows.Forms.MenuItem
            Me.menuItem10 = New System.Windows.Forms.MenuItem
            Me.menuItem12 = New System.Windows.Forms.MenuItem
            Me.menuItem7 = New System.Windows.Forms.MenuItem
            Me.menuItem8 = New System.Windows.Forms.MenuItem
            Me.menuItemLink = New System.Windows.Forms.MenuItem
            Me.menuItemOrthogonalLink = New System.Windows.Forms.MenuItem
            Me.menuItemDirectedlineLink = New System.Windows.Forms.MenuItem
            Me.menuItemArcLink = New System.Windows.Forms.MenuItem
            Me.menuItem13 = New System.Windows.Forms.MenuItem
            Me.menuItemCirclePort = New System.Windows.Forms.MenuItem
            Me.menuItemXPort = New System.Windows.Forms.MenuItem
            Me.menuItemPortSquare = New System.Windows.Forms.MenuItem
            Me.menuItemPortRhomb = New System.Windows.Forms.MenuItem
            Me.menuItemPortTriangle = New System.Windows.Forms.MenuItem
            Me.Button2 = New System.Windows.Forms.Button
            Me.OpenFileDialog1 = New System.Windows.Forms.OpenFileDialog
            Me.SaveFileDialog1 = New System.Windows.Forms.SaveFileDialog
            Me.btnSave = New System.Windows.Forms.Button
            Me.btnLoad = New System.Windows.Forms.Button
            CType(Me.diagram1, System.ComponentModel.ISupportInitialize).BeginInit()
            CType(Me.Model, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.ToolStrip1.SuspendLayout()
            CType(Me.Model1, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.SuspendLayout()
            '
            'diagram1
            '
            Me.diagram1.AllowDrop = True
            Me.diagram1.BackColor = System.Drawing.Color.White
            Me.diagram1.BackgroundImage = CType(resources.GetObject("diagram1.BackgroundImage"), System.Drawing.Image)
            Me.diagram1.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Stretch
            Me.diagram1.Controller.PasteOffset = New System.Drawing.SizeF(10.0!, 10.0!)
            Me.diagram1.HScroll = True
            Me.diagram1.LayoutManager = Nothing
            Me.diagram1.Location = New System.Drawing.Point(34, 28)
            Me.diagram1.Model = Me.Model
            Me.diagram1.Name = "diagram1"
            Me.diagram1.ScrollGranularity = 0.1!
            Me.diagram1.ShowRulers = False
            Me.diagram1.Size = New System.Drawing.Size(944, 593)
            Me.diagram1.SmartSizeBox = False
            Me.diagram1.TabIndex = 0
            Me.diagram1.Text = "diagram1"
            '
            '
            '
            Me.diagram1.View.BackgroundColor = System.Drawing.Color.White
            Me.diagram1.View.Grid.Visible = False
            Me.diagram1.View.MouseTrackingEnabled = False
            Me.diagram1.VScroll = True
            '
            'Model
            '
            Me.Model.BackgroundStyle.Color = System.Drawing.Color.Transparent
            Me.Model.BackgroundStyle.ColorAlphaFactor = 0
            Me.Model.BackgroundStyle.ForeColor = System.Drawing.Color.Transparent
            Me.Model.BackgroundStyle.PathBrushStyle = Syncfusion.Windows.Forms.Diagram.PathGradientBrushStyle.RectangleCenter
            Me.Model.BackgroundStyle.Texture = CType(resources.GetObject("resource.Texture"), System.Drawing.Image)
            Me.Model.BackgroundStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Clamp
            Me.Model.BackgroundStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.Texture
            Me.Model.BridgeStyle = Syncfusion.Windows.Forms.Diagram.BridgeStyle.Square
            Me.Model.HeaderFooterData.Footer.Bounds.Width = 0.0!
            Me.Model.HeaderFooterData.Header.Bounds.Width = 0.0!
            Me.Model.ShadowStyle.Color = System.Drawing.Color.White
            Me.Model.ShadowStyle.ForeColor = System.Drawing.Color.White
            Me.Model.Size = New System.Drawing.SizeF(800.8504!, 566.9291!)
            '
            'ToolStrip1
            '
            Me.ToolStrip1.Items.AddRange(New System.Windows.Forms.ToolStripItem() {Me.ToolStripButton1})
            Me.ToolStrip1.Location = New System.Drawing.Point(0, 0)
            Me.ToolStrip1.Name = "ToolStrip1"
            Me.ToolStrip1.Size = New System.Drawing.Size(1011, 25)
            Me.ToolStrip1.TabIndex = 1
            Me.ToolStrip1.Text = "ToolStrip1"
            '
            'ToolStripButton1
            '
            Me.ToolStripButton1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
            Me.ToolStripButton1.Image = CType(resources.GetObject("ToolStripButton1.Image"), System.Drawing.Image)
            Me.ToolStripButton1.ImageTransparentColor = System.Drawing.Color.Magenta
            Me.ToolStripButton1.Name = "ToolStripButton1"
            Me.ToolStripButton1.Size = New System.Drawing.Size(23, 22)
            Me.ToolStripButton1.Text = "ToolStripButton1"
            '
            'Model1
            '
            Me.Model1.BackgroundStyle.Color = System.Drawing.Color.White
            Me.Model1.BackgroundStyle.PathBrushStyle = Syncfusion.Windows.Forms.Diagram.PathGradientBrushStyle.RectangleCenter
            Me.Model1.BackgroundStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.Texture
            Me.Model1.ShadowStyle.Color = System.Drawing.Color.DimGray
            Me.Model1.ShadowStyle.ForeColor = System.Drawing.Color.DimGray
            '
            'Button1
            '
            Me.Button1.Location = New System.Drawing.Point(67, -1)
            Me.Button1.Name = "Button1"
            Me.Button1.Size = New System.Drawing.Size(75, 23)
            Me.Button1.TabIndex = 2
            Me.Button1.Text = "Add Tenant"
            Me.Button1.UseVisualStyleBackColor = True
            '
            'mainMenu1
            '
            Me.mainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem1, Me.menuEdit, Me.menuItem7})
            '
            'menuItem1
            '
            Me.menuItem1.Index = 0
            Me.menuItem1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem2, Me.menuItem3, Me.menuItem6, Me.menuItem4, Me.menuItem5})
            Me.menuItem1.Text = "&File"
            '
            'menuItem2
            '
            Me.menuItem2.Index = 0
            Me.menuItem2.Text = "&New"
            '
            'menuItem3
            '
            Me.menuItem3.Index = 1
            Me.menuItem3.Text = "&Open"
            '
            'menuItem6
            '
            Me.menuItem6.Index = 2
            Me.menuItem6.Text = "&Save"
            '
            'menuItem4
            '
            Me.menuItem4.Index = 3
            Me.menuItem4.Text = "-"
            '
            'menuItem5
            '
            Me.menuItem5.Index = 4
            Me.menuItem5.Text = "E&xit"
            '
            'menuEdit
            '
            Me.menuEdit.Index = 1
            Me.menuEdit.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem9, Me.menuItem11, Me.menuItem10, Me.menuItem12})
            Me.menuEdit.Text = "Edit"
            '
            'menuItem9
            '
            Me.menuItem9.Index = 0
            Me.menuItem9.Shortcut = System.Windows.Forms.Shortcut.CtrlC
            Me.menuItem9.Text = "Copy"
            '
            'menuItem11
            '
            Me.menuItem11.Index = 1
            Me.menuItem11.Shortcut = System.Windows.Forms.Shortcut.CtrlX
            Me.menuItem11.Text = "Cut"
            '
            'menuItem10
            '
            Me.menuItem10.Index = 2
            Me.menuItem10.Shortcut = System.Windows.Forms.Shortcut.CtrlV
            Me.menuItem10.Text = "Paste"
            '
            'menuItem12
            '
            Me.menuItem12.Index = 3
            Me.menuItem12.Shortcut = System.Windows.Forms.Shortcut.Del
            Me.menuItem12.Text = "Delete"
            '
            'menuItem7
            '
            Me.menuItem7.Index = 2
            Me.menuItem7.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem8, Me.menuItem13})
            Me.menuItem7.Text = "&Actions"
            '
            'menuItem8
            '
            Me.menuItem8.Index = 0
            Me.menuItem8.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemLink, Me.menuItemOrthogonalLink, Me.menuItemDirectedlineLink, Me.menuItemArcLink})
            Me.menuItem8.Text = "Add &Link"
            '
            'menuItemLink
            '
            Me.menuItemLink.Index = 0
            Me.menuItemLink.Text = "Link"
            '
            'menuItemOrthogonalLink
            '
            Me.menuItemOrthogonalLink.Index = 1
            Me.menuItemOrthogonalLink.Text = "Orthogonal Link"
            '
            'menuItemDirectedlineLink
            '
            Me.menuItemDirectedlineLink.Index = 2
            Me.menuItemDirectedlineLink.Text = "Directedline Link"
            '
            'menuItemArcLink
            '
            Me.menuItemArcLink.Index = 3
            Me.menuItemArcLink.Text = "Arc Link"
            '
            'menuItem13
            '
            Me.menuItem13.Index = 1
            Me.menuItem13.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemCirclePort, Me.menuItemXPort, Me.menuItemPortSquare, Me.menuItemPortRhomb, Me.menuItemPortTriangle})
            Me.menuItem13.Text = "Add &Port"
            '
            'menuItemCirclePort
            '
            Me.menuItemCirclePort.Index = 0
            Me.menuItemCirclePort.Text = "Circle Port"
            '
            'menuItemXPort
            '
            Me.menuItemXPort.Index = 1
            Me.menuItemXPort.Text = "XPort"
            '
            'menuItemPortSquare
            '
            Me.menuItemPortSquare.Index = 2
            Me.menuItemPortSquare.Text = "Square Port"
            '
            'menuItemPortRhomb
            '
            Me.menuItemPortRhomb.Index = 3
            Me.menuItemPortRhomb.Text = "Rhomb Port"
            '
            'menuItemPortTriangle
            '
            Me.menuItemPortTriangle.Index = 4
            Me.menuItemPortTriangle.Text = "Triangle Port"
            '
            'Button2
            '
            Me.Button2.Location = New System.Drawing.Point(149, -1)
            Me.Button2.Name = "Button2"
            Me.Button2.Size = New System.Drawing.Size(125, 23)
            Me.Button2.TabIndex = 3
            Me.Button2.Text = "Debug list tenants"
            Me.Button2.UseVisualStyleBackColor = True
            '
            'OpenFileDialog1
            '
            Me.OpenFileDialog1.FileName = "OpenFileDialog1"
            '
            'btnSave
            '
            Me.btnSave.Location = New System.Drawing.Point(313, -1)
            Me.btnSave.Name = "btnSave"
            Me.btnSave.Size = New System.Drawing.Size(75, 23)
            Me.btnSave.TabIndex = 4
            Me.btnSave.Text = "Save"
            Me.btnSave.UseVisualStyleBackColor = True
            '
            'btnLoad
            '
            Me.btnLoad.Location = New System.Drawing.Point(394, -1)
            Me.btnLoad.Name = "btnLoad"
            Me.btnLoad.Size = New System.Drawing.Size(75, 23)
            Me.btnLoad.TabIndex = 5
            Me.btnLoad.Text = "Load"
            Me.btnLoad.UseVisualStyleBackColor = True
            '
            'frmDiagram
            '
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
            Me.BackColor = System.Drawing.Color.White
            Me.ClientSize = New System.Drawing.Size(1011, 633)
            Me.Controls.Add(Me.btnLoad)
            Me.Controls.Add(Me.btnSave)
            Me.Controls.Add(Me.Button2)
            Me.Controls.Add(Me.Button1)
            Me.Controls.Add(Me.ToolStrip1)
            Me.Controls.Add(Me.diagram1)
            Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow
            Me.Menu = Me.mainMenu1
            Me.Name = "frmDiagram"
            Me.Text = "frmdiagram"
            CType(Me.diagram1, System.ComponentModel.ISupportInitialize).EndInit()
            CType(Me.Model, System.ComponentModel.ISupportInitialize).EndInit()
            Me.ToolStrip1.ResumeLayout(False)
            Me.ToolStrip1.PerformLayout()
            CType(Me.Model1, System.ComponentModel.ISupportInitialize).EndInit()
            Me.ResumeLayout(False)
            Me.PerformLayout()

        End Sub

#Region "Methods"



        Private Function InsertNode(ByVal palette As SymbolPalette, ByVal symbolName As String, ByVal ptLocation As PointF) As Node
            Dim node As Node = Me.GetSymbolModel(palette, symbolName)

            If Not node Is Nothing Then
                Dim units As MeasureUnits = MeasureUnits.Pixel
                CType(node, IUnitIndependent).SetPinPoint(ptLocation, units)
                Me.diagram1.Model.AppendChild(node)
            End If

            Return node
        End Function

        Private Function GetSymbolModel(ByVal palette As SymbolPalette, ByVal symbolName As String) As Node
            Dim nodeToReturn As Node = Nothing

            If Not palette Is Nothing Then
                For Each node As Node In palette.Nodes
                    If node.ToString = symbolName Then
                        nodeToReturn = node
                        Exit For
                    End If
                Next node
            End If

            Return CType(nodeToReturn.Clone(), Node)
        End Function

        Friend WithEvents ToolStrip1 As System.Windows.Forms.ToolStrip

#End Region



        Friend WithEvents Model1 As Syncfusion.Windows.Forms.Diagram.Model
        Friend WithEvents ToolStripButton1 As System.Windows.Forms.ToolStripButton


        Private Sub ToolStripButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
            Model1.Size = diagram1.Size
            LoadDemo()
        End Sub
        Friend WithEvents Button1 As System.Windows.Forms.Button

        Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
     

            Add_Symbol_Form = New Add_Symbol_Dialog
            Add_Symbol_Form.ShowDialog()
        End Sub

        Private Sub diagram1_MouseUp(ByVal sender As Object, ByVal e As MouseEventArgs)
            Dim bSuccess As Boolean = False
            Dim selectedNodes As NodeCollection = Me.diagram1.Controller.SelectionList

            If selectedNodes.Count > 0 Then
                bSuccess = True
            End If
        End Sub
     

        Private Sub diagram1_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles diagram1.MouseHover
            Dim sym As Symbol_8662 = GetNodeUnderMouse()




        End Sub
        Private Sub diagram_mouse(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles diagram1.MouseUp
            If e.Button = MouseButtons.Right Then
                m_bUpdateLocation = True
                Dim node As Node = GetNodeUnderMouse()

                If Not node Is Nothing Then
                    Dim conMenu As ContextMenu = New ContextMenu()
                    conMenu.MergeMenu(Me.menuItem7)
                    conMenu.Show(CType(IIf(TypeOf sender Is Controls.Diagram, sender, Nothing), Controls.Diagram), New Point(e.X, e.Y))
                    conMenu.Dispose()
                End If
            End If
        End Sub

        Private Function GetNodeUnderMouse() As Node
            Dim nodeToReturn As Node = Nothing
            Dim nodes As NodeCollection = Me.diagram1.Controller.SelectionList

            If nodes.Count > 0 Then
                nodeToReturn = nodes.First
            End If

            Return nodeToReturn
        End Function
        Private WithEvents mainMenu1 As System.Windows.Forms.MainMenu
        Private WithEvents menuItem1 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem2 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem3 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem6 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem4 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem5 As System.Windows.Forms.MenuItem
        Private WithEvents menuEdit As System.Windows.Forms.MenuItem
        Private WithEvents menuItem9 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem11 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem10 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem12 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem7 As System.Windows.Forms.MenuItem
        Private WithEvents menuItem8 As System.Windows.Forms.MenuItem
        Private WithEvents menuItemLink As System.Windows.Forms.MenuItem
        Private WithEvents menuItemOrthogonalLink As System.Windows.Forms.MenuItem
        Private WithEvents menuItemDirectedlineLink As System.Windows.Forms.MenuItem
        Private WithEvents menuItemArcLink As System.Windows.Forms.MenuItem
        Private WithEvents menuItem13 As System.Windows.Forms.MenuItem
        Private WithEvents menuItemCirclePort As System.Windows.Forms.MenuItem
        Private WithEvents menuItemXPort As System.Windows.Forms.MenuItem
        Private WithEvents menuItemPortSquare As System.Windows.Forms.MenuItem
        Private WithEvents menuItemPortRhomb As System.Windows.Forms.MenuItem
        Private WithEvents menuItemPortTriangle As System.Windows.Forms.MenuItem

        Private Sub menuItemLink_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemLink.Click
            Dim sym As Symbol_8662 = GetNodeUnderMouse()
            sym.state_change("Acknowledged")
        End Sub

        Private Sub Add_Symbol_Form_Added_Symbol(ByVal TenantName As String, ByVal DeviceID As String) Handles Add_Symbol_Form.Added_Symbol
            Dim symb As Symbol_8662 = New Symbol_8662
            symb.TenantName = TenantName
            symb.DeviceID = DeviceID
            Me.diagram1.Model.AppendChild(symb)
        End Sub
        Friend WithEvents Button2 As System.Windows.Forms.Button

        Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
            If diagram1.Model.ChildCount > 0 Then
                Dim i As Int16 = 0
                Dim symb As Symbol_8662
                For i = 0 To diagram1.Model.ChildCount - 1
                    symb = diagram1.Model.GetChild(i)
                    Debug.WriteLine("Symbol " & symb.TenantName & " : " & symb.DeviceID)
                Next
            End If
        End Sub
        Friend WithEvents OpenFileDialog1 As System.Windows.Forms.OpenFileDialog
        Friend WithEvents SaveFileDialog1 As System.Windows.Forms.SaveFileDialog

        Private Sub OpenFile()
       
            Try
                Me.diagram1.LoadBinary("C:\sitediagram.edd")
                Me.diagram1.Refresh()
            Catch ex As Exception

            End Try

            ' End If
        End Sub

        Private Sub SaveFile()
           
            Try
                Me.diagram1.SaveBinary("C:\sitediagram.edd")
            Catch ex As Exception

            End Try

        End Sub
        Friend WithEvents btnSave As System.Windows.Forms.Button
        Friend WithEvents btnLoad As System.Windows.Forms.Button



        Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
            SaveFile()
        End Sub

        Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click
            OpenFile()
        End Sub
    End Class

End Namespace